Create a call tree view
This widget needs to simply display function calls in a tree view, with extra columns like the amount of time spent per call, percentages etc. It should also allow jumping to the function's location in the source.